Subject: Re: bug#2631: get-free-disk-space when default-directory doesn't exist

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Mar 2009 06:05:02 +0200

> From: Kevin Ryde <[email-masked]>
> Date: Tue, 17 Mar 2009 11:02:26 +1100
> Cc: [email-masked]
> 
> > default-directory to "~/" rather than "/"
> 
> What is it that's not good about "/"?  It doesn't have to be readable or
> anything I don't think, just somewhere capable of a chdir().

Doesn't chdir need certain rights? what if the user doesn't have them?

> Either way what I missed from my first post was that a change to
> default-directory ought to absolutize the given dir argument, so that
> say
> 
>     (get-free-disk-space ".")
> 
> gives info about the original default-directory, not the mangled one.

What "mangled one"?